Bug 1868654 - systemctl start pgbouncer times out
Summary: systemctl start pgbouncer times out
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: pgbouncer
Version: epel8
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-13 12:18 UTC by Matti Linnanvuori
Modified: 2020-08-29 15:52 UTC (History)
5 users (show)

Fixed In Version: pgbouncer-1.14.0-2.el8
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-29 15:52:46 UTC
Type: Bug


Attachments (Terms of Use)
pgbouncer.service patch fixing the bug (279 bytes, patch)
2020-08-14 07:06 UTC, Matti Linnanvuori
no flags Details | Diff

Description Matti Linnanvuori 2020-08-13 12:18:11 UTC
Description of problem:
pgbouncer systemctl start times out.


Version-Release number of selected component (if applicable):
1.13.0-2.el8

How reproducible:
always

Steps to Reproduce:
1. Install pgbouncer from EPEL and PostgreSQL 12 from CentOS 8 stream
2. Configure /etc/pgbouncer/pgbouncer.ini and /etc/pgbouncer/userlist.txt
3. Accordingly configure and start PostgreSQL 12 server
4. Run sudo systemctl start pgbouncer

Actual results:
systemctl start pgbouncer times out.

Expected results:
systemctl start pgbouncer succeeds in time.

Additional info:
$ sudo tail /var/log/pgbouncer/pgbouncer.log
2020-08-13 08:00:28.722 EDT [9233] LOG kernel file descriptor limit: 1024 (hard: 262144); max_client_conn: 33000, max expected fd use: 33212
2020-08-13 08:00:28.722 EDT [9233] LOG listening on 127.0.0.1:6432
2020-08-13 08:00:28.722 EDT [9233] LOG listening on unix:/tmp/.s.PGSQL.6432
2020-08-13 08:00:28.722 EDT [9233] LOG process up: PgBouncer 1.13.0, libevent 2.1.8-stable (epoll), adns: evdns2, tls: OpenSSL 1.1.1c FIPS  28 May 2019
2020-08-13 08:01:28.722 EDT [9233] LOG stats: 0 xacts/s, 0 queries/s, in 0 B/s, out 0 B/s, xact 0 us, query 0 us, wait 0 us
2020-08-13 08:02:28.723 EDT [9233] LOG stats: 0 xacts/s, 0 queries/s, in 0 B/s, out 0 B/s, xact 0 us, query 0 us, wait 0 us
2020-08-13 08:03:28.723 EDT [9233] LOG stats: 0 xacts/s, 0 queries/s, in 0 B/s, out 0 B/s, xact 0 us, query 0 us, wait 0 us
2020-08-13 08:04:28.723 EDT [9233] LOG stats: 0 xacts/s, 0 queries/s, in 0 B/s, out 0 B/s, xact 0 us, query 0 us, wait 0 us
2020-08-13 08:05:28.723 EDT [9233] LOG stats: 0 xacts/s, 0 queries/s, in 0 B/s, out 0 B/s, xact 0 us, query 0 us, wait 0 us
2020-08-13 08:05:28.823 EDT [9233] LOG got SIGTERM, fast exit

$ sudo strace -p 9233
strace: Process 9233 attached
epoll_wait(4, [], 32, 333)              = 0
stat("/etc/pgbouncer/userlist.txt", {st_mode=S_IFREG|0600, st_size=24, ...}) = 0
getpid()                                = 9233
write(3, "2020-08-13 08:05:28.723 EDT [923"..., 124) = 124
epoll_wait(4, 0x55d1e769a060, 32, 333)  = -1 EINTR (Interrupted system call)
epoll_wait(4, [{EPOLLIN, {u32=5, u64=5}}], 32, 234) = 1
read(5, "\17", 1024)                    = 1
read(5, 0x7f4131b284c0, 1024)           = -1 EAGAIN (Resource temporarily unavailable)
getpid()                                = 9233
write(3, "2020-08-13 08:05:28.823 EDT [923"..., 62) = 62
unlink("/var/run/pgbouncer/pgbouncer.pid") = 0
close(8)                                = 0
close(9)                                = 0
unlink("/tmp/.s.PGSQL.6432")            = 0
exit_group(1)                           = ?

Comment 1 Matti Linnanvuori 2020-08-14 07:06:28 UTC
Created attachment 1711425 [details]
pgbouncer.service patch fixing the bug

Comment 2 Fedora Update System 2020-08-14 09:39:14 UTC
FEDORA-EPEL-2020-9481e7176f has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9481e7176f

Comment 3 Fedora Update System 2020-08-15 01:29:15 UTC
FEDORA-EPEL-2020-9481e7176f has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9481e7176f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-08-29 15:52:46 UTC
FEDORA-EPEL-2020-9481e7176f has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.